Package com.collibra.dgc.core.api.dto.instance.asset

# Class SetAssetRelationsRequest

Object
SetAssetRelationsRequest

All Implemented Interfaces:
  `Serializable`

public class SetAssetRelationsRequest extends Object implements Serializable
The properties of the asset relations to be set.

Existing relations for given asset and of given relation type are replaced by relations presented in this request.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `SetAssetRelationsRequest.Builder`
  `static enum`
  `SetAssetRelationsRequest.RelationDirection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetAssetRelationsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SetAssetRelationsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  Required. The ID of the asset.
  `List<UUID>`
  `getRelatedAssetIds()`
  Required. The IDs of the related assets.
  `SetAssetRelationsRequest.RelationDirection`
  `getRelationDirection()`
  The relation direction.
  `UUID`
  `getTypeId()`
  Required. The ID of the relation type for the relations to be set.
  `String`
  `getTypePublicId()`
  The public ID of the relation type for the relations to be set.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  Required. The ID of the asset.
  `void`
  `setRelatedAssetIds(List<UUID> relatedAssetIds)`
  Required. The IDs of the related assets.
  `void`
  `setRelationDirection(SetAssetRelationsRequest.RelationDirection relationDirection)`
  The relation direction.
  `void`
  `setTypeId(UUID typeId)`
  Required. The ID of the relation type for the relations to be set.
  `void`
  `setTypePublicId(String typePublicId)`
  The public ID of the relation type for the relations to be set.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SetAssetRelationsRequest

    public SetAssetRelationsRequest()

- ## Method Details

  - ### builder

    public static SetAssetRelationsRequest.Builder builder()

  - ### getAssetId

    public UUID getAssetId()
    Required. The ID of the asset.

  - ### getTypeId

    public UUID getTypeId()
    Required. The ID of the relation type for the relations to be set.

  - ### getRelatedAssetIds

    public List<UUID> getRelatedAssetIds()
    Required. The IDs of the related assets.

  - ### getRelationDirection

    public SetAssetRelationsRequest.RelationDirection getRelationDirection()
    The relation direction. If TO_SOURCE then related assets will become source assets. Otherwise they will become target assets for created relations.

  - ### getTypePublicId

    public String getTypePublicId()
    The public ID of the relation type for the relations to be set.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    Required. The ID of the asset.

  - ### setTypeId

    public void setTypeId(UUID typeId)
    Required. The ID of the relation type for the relations to be set.

  - ### setRelatedAssetIds

    public void setRelatedAssetIds(List<UUID> relatedAssetIds)
    Required. The IDs of the related assets.

  - ### setRelationDirection

    public void setRelationDirection(SetAssetRelationsRequest.RelationDirection relationDirection)
    The relation direction. If TO_SOURCE then related assets will become source assets. Otherwise they will become target assets for created relations.

  - ### setTypePublicId

    public void setTypePublicId(String typePublicId)
    The public ID of the relation type for the relations to be set.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`